<?php
/**
 * The template for displaying Comments
 *
 * The area of the page that contains comments and the comment form.
 *
 * @Pasargad comments (www.parsthemes.com)
 */

/*
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>
<div class="commentlist">
<div class="title"><i class="icon-cm"></i><?php comments_number('0', '1', '% نظر' );?> تا کنون ثبت شده است</div>
<?php
$commenter = wp_get_current_commenter();
$req = get_option( 'require_name_email' );
$aria_req = ( $req ? " aria-required='true'" : '' );
$fields =  array(
'author' => '<div class="right-col"><input id="author" name="author" type="text" placeholder="نام شما (الزامی)" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' />',
'email'  => '<input id="email" name="email" type="text" placeholder="ایمیل شما (الزامی)" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' />',
'url'    => '<input id="url" name="url" type="text" placeholder="سایت شما" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" />',
'add' => '<input name="submit" type="submit" value="ارسال نظر"></div>',
'textarea' => '<div class="left-col"><p class="comment-form-comment"><textarea id="comment" name="comment" cols="45" rows="10" aria-required="true"></textarea></p></div>'

);

comment_form( array(
	'fields' => apply_filters( 'comment_form_default_fields', $fields ),
	'must_log_in' => '<p class="must-log-in">' .  sprintf('شما باید <a href="%s">وارد شوید</a> تا نظر بنویسید.' , wp_login_url( apply_filters( 'the_permalink', get_permalink( ) ) ) ) . '</p>',
	'logged_in_as' => '<p class="logged-in-as">' . sprintf('وارد شده به عنوان <a href="%1$s">%2$s</a>. <a href="%3$s" title="خروج از این حساب">خروج؟</a>', admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink( ) ) ) ) . '</p>',
	'comment_notes_before' => '',
	'comment_notes_after' => '',
	'title_reply' =>  '' ,
	'title_reply_to' =>  'پاسخ به  %s' ,
	'cancel_reply_link' => 'انصراف از پاسخ دادن' ,
	'label_submit' => 'افزودن نظر' 
)); 
?>
<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :  ?>
<div class="navigation">
<div class="alignleft"><?php previous_comments_link('نظرات قدیمی تر') ?></div>
<div class="alignright"><?php next_comments_link('نظرات جدیدتر') ?></div>
</div>
<?php endif; // Check for comment navigation. ?>
<?php if ( have_comments() ) : ?>
<?php $comments_by_type = &separate_comments($comments); ?>
<?php if ( !empty($comments_by_type['comment']) ) : ?>
<?php wp_list_comments('callback=mytheme_comment&style=div'); ?>
<?php endif; // have_comments() ?>
<?php endif; ?>   
<?php if ( ! comments_open() ) : ?>
<p class="no-comments">نظرات بسته شده است.</p>
<?php endif; ?>
</div>