<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<title><?php wp_title( '|', true, 'right' ); ?></title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width,initial-scale=1">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<?php if (pasargad_get_option('favicon_enable')): ?>
<link rel="shortcut icon" type="image/ico" href="<?php echo pasargad_get_option('favicon_image') ?>">
<?php endif; ?>
<?php wp_head(); ?>
<!--[if IE]><script src="<?php echo esc_url( get_template_directory_uri() ); ?>/js/html5.js"></script><![endif]-->
<!--[if IE]><script src="<?php echo esc_url( get_template_directory_uri() ); ?>/js/modernizr.js"></script><![endif]-->
<?php if (pasargad_get_option('header_codes')): ?>
<?php echo htmlspecialchars_decode(pasargad_get_option('header_codes'));?>
<?php endif;?>
</head>
<body <?php body_class(); ?>>
<!-- Header -->
<?php if (pasargad_get_option('top_nav')): ?>
<div class="top-nav row">
<div class="container">
<?php 
if (pasargad_get_option('4links')):
$sitemap = pasargad_get_option('sitemap_link');
$contact = pasargad_get_option('contact_link');
$ads = pasargad_get_option('ads_link');
?>
<div class="top-menu">
<ul>
<?php if (pasargad_get_option('home_li')): ?>
<li class="home"><a href="<?php echo home_url(); ?>/" title="صفحه ی نخست">صفحه ی نخست</a></li>
<?php endif;if (pasargad_get_option('sitemap_li')): ?>
<li class="sitemap"><a href="<?php echo $sitemap;?>" title="نقشه ی سایت">نقشه ی سایت</a></li>
<?php endif;if (pasargad_get_option('ads_li')): ?>
<li class="ads"><a href="<?php echo $ads;?>" rel="nofollow">تبلیغات</a></li>
<?php endif;if (pasargad_get_option('contact_li')): ?>
<li class="contact"><a href="<?php echo $contact;?>" title="تماس با" rel="nofollow">تماس با ما</a></li>
<?php endif;?>
</ul>
</div>
<?php endif;?>
<?php if (pasargad_get_option('top_dq_enable')): ?>
<?php if (pasargad_get_option('top_dq') == 'qoutes'):?>
<div class="qoutes">
<i class="qoutes-icon"></i>
<?php get_template_part('inc/sokhan'); ?>
</div>
<?php elseif (pasargad_get_option('top_dq') == 'date'):?>
<div class="today">
<?php if(function_exists('parsidate')) { ?>
<i class="icon-today"></i><?php _e('خوش آمدید - ','persian') ;  echo parsidate ('امروز : l j F Y') ; ?> 
<?php } else{ ?>
<?php if(function_exists('jdate')) { ?>
<i class="icon-today"></i><?php _e('خوش آمدید - ','persian') ;  echo jdate ('امروز : l j F Y') ; ?> 
<?php } }?>
</div>
<?php endif;endif;?>
</div>
</div>
<?php endif;?>
<header class="header">
<div class="container">
<div class="logo">
<?php $title = pasargad_get_option('site_title');?>
<?php if ( is_home() || is_front_page()){ ?>
<h1><a href="<?php echo home_url(); ?>/" title="<?php echo $title; ?>"><?php echo $title;?></a></h1>
<?php } else { ?> 
<h2><a href="<?php echo home_url(); ?>/" title="<?php echo $title; ?>"><?php echo $title;?></a></h2>
<?php }?>
</div>
<?php if (pasargad_get_option('search_enable')): ?>
<div class="search">
<form method="get" id="searchform" class="ps-search" action="<?php echo home_url(); ?>/">
<button class="search-button" type="submit" value="جستجو"></button>	
<input type="text" class="ajax-search search-body" id="pss" name="s" value="کلمه ی مورد نظر + اینتر" onclick="this.value=''"/>
<span class="sf-loading"><i class="ajax-search-icon"></i></span>
</form>
<?php if(pasargad_get_option('ajax_search')):?>
<div class="ajax-search-results"></div>
<?php endif;?>
</div>
<?php endif;?>
</div>
<?php if (pasargad_get_option('nav_enable')): ?>
<nav class="nav-primary">
<div class="container">
<?php wp_nav_menu(array('theme_location' => 'nav_primary', 'container_class' => 'nav-menu' , 'menu_id' => 'menu' , 'fallback_cb' => 'pasargad_nav_fallback' )); ?>
<?php 
if (pasargad_get_option('social_enable')): 
$rss = pasargad_get_option('rss_enable');
$fb = pasargad_get_option('facebook_enable');
$in = pasargad_get_option('instagram_enable');
$tw = pasargad_get_option('twitter_enable');
$gp = pasargad_get_option('googlep_enable');
$rss_url = get_bloginfo('rss2_url');
?>
<div class="social">
<ul>
<?php if($fb) :?>
<li class="bt social-facebook"><a href="<?php echo pasargad_get_option('facebook_url');?>" title="آدرس فیس بوک" rel="external nofollow"><i class="sc-facebook"></i></a></li>
<?php endif; if($gp):?>
<li class="bt social-googleplus"><a href="<?php echo pasargad_get_option('googleplus_url');?>" title="آدرس گوگل پلاس" rel="external nofollow"><i class="sc-googleplus"></i></a></li>
<?php endif; if($in):?>
<li class="bt social-instagram"><a href="<?php echo pasargad_get_option('instagram_url');?>" title="آدرس اینستگرام" rel="external nofollow"><i class="sc-instagram"></i></a></li>
<?php endif; if($tw):?>
<li class="bt social-twitter"><a href="<?php echo pasargad_get_option('twitter_url');?>" title="آدرس توییتر" rel="external nofollow"><i class="sc-twitter"></i></a></li>
<?php endif; if($rss):?>
<li class="bt social-rss"><a href="<?php echo $rss_url ;?>" title="آدرس خوراک سایت"><i class="sc-rss"></i></a></li>
<?php endif;?>
</ul>
</div>
<?php endif;?>
</div>
</nav>
<?php endif;?>
</header>
<!-- //Header -->