<?php
//=============================
// Register script
//=============================
//*** Like
add_action('wp_ajax_nopriv_post-like', 'post_like');
add_action('wp_ajax_post-like', 'post_like');
//*** Dislike
add_action('wp_ajax_nopriv_post-dislike', 'post_dislike');  
add_action('wp_ajax_post-dislike', 'post_dislike');
//*** Search
add_action( 'wp_ajax_pasargad_ajaxsearch', 'pasargad_ajax_search' );  
add_action( 'wp_ajax_nopriv_pasargad_ajaxsearch', 'pasargad_ajax_search');
//*** Register
wp_enqueue_script('like_post_search', get_template_directory_uri().'/js/post-like-search.js', array('jquery'), '1.0', 1 );
wp_localize_script('like_post_search', 'pasargad_ajax_var', array(
	'url' => admin_url('admin-ajax.php'),
	'nonce' => wp_create_nonce('ajax-nonce'),
	'homeUrl' => home_url(),
	'viewAll' =>'مشاهده ی همه',
	'noResults' => 'چیزی یافت نشد',
));
//=======================================================================================
// @ Search
//=======================================================================================
function pasargad_ajax_search (){
$nonce = $_POST['nonce'];
if ( ! wp_verify_nonce( $nonce, 'ajax-nonce' ) )
die ( 'غیرمجاز!' );
?>
<?php
$posts_query = new WP_Query( array('s' =>$_POST['term'], 'post_type' => 'post', 'post_status' => 'publish', 'posts_per_page' => 6) );
if ( $posts_query->have_posts() ) { ?>
<ul>
<?php
while ( $posts_query ->have_posts() ) {
$posts_query ->the_post();
?>
<li>
<?php
if ( has_post_thumbnail() ){
?>
<div class="post-thumbnail">
<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" rel="bookmark"><?php thumb_small();?></a>
</div>
<?php } else { ?>
<div class="post-thumbnail">
<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" rel="bookmark">
<img src="<?php echo esc_url( get_template_directory_uri() ); ?>/images/no-thumb.png" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" width="70" height="70">
</a>
</div>
<?php }?>
<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
<span><?php pasargad_date(); ?></span>
</li>
<?php }?>
</ul>
<?php } wp_reset_postdata();?>
<?php 
exit();
}
//=======================================================================================
// @ Like & Dislike
//=======================================================================================

//=============================
// meta key functions
//=============================
function post_like(){
	$nonce = $_POST['nonce'];
    if ( ! wp_verify_nonce( $nonce, 'ajax-nonce' ) )
        die ( 'غیرمجاز!');
	if(isset($_POST['post_like']))
	{
		$ip = $_SERVER['REMOTE_ADDR'];
		$post_id = $_POST['post_id'];
		$meta_IP = get_post_meta($post_id, "pasargad_voted_IP");
		$voted_IP = $meta_IP[0];
		if(!is_array($voted_IP))
			$voted_IP = array();
		$meta_count = get_post_meta($post_id, "pasargad_post_like", true);
		if(!pasargad_already_voted($post_id)){
			$voted_IP[$ip] = time();
			update_post_meta($post_id, "pasargad_voted_IP", $voted_IP);
			update_post_meta($post_id, "pasargad_post_like", ++$meta_count);
			echo $meta_count;
		}
		else
			echo "قبلا رای داده اید.";
	}

    exit;
}
function post_dislike(){
	$nonce = $_POST['nonce'];
    if ( ! wp_verify_nonce( $nonce, 'ajax-nonce' ) )
        die ( 'غیرمجاز!');
	if(isset($_POST['post_dislike']))
    {
      $ip = $_SERVER['REMOTE_ADDR'];
		$post_id = $_POST['post_id'];
		$meta_IP = get_post_meta($post_id, "pasargad_voted_IP");
		$voted_IP = $meta_IP[0];
		if(!is_array($voted_IP))
			$voted_IP = array();
		$meta_count = get_post_meta($post_id, "pasargad_post_dislike", true);
		if(!pasargad_already_voted($post_id)){
			$voted_IP[$ip] = time();
			update_post_meta($post_id, "pasargad_voted_IP", $voted_IP);
			update_post_meta($post_id, "pasargad_post_dislike", ++$meta_count);
			echo $meta_count;
		}
		else
			echo "قبلا رای داده اید.";
    }
    exit;
}
//=============================
// Already votes
//=============================
if (pasargad_get_option('ld_time')){
$timebeforerevote = pasargad_get_option('ld_time');
}else{
$timebeforerevote = 1440;// store 24 hour = 1440 minute
};
function pasargad_already_voted($post_id){
	global $timebeforerevote;
	$meta_IP = get_post_meta($post_id, "pasargad_voted_IP");
	$voted_IP = $meta_IP[0];
	if(!is_array($voted_IP))
		$voted_IP = array();
	$ip = $_SERVER['REMOTE_ADDR'];
	
	if(in_array($ip, array_keys($voted_IP))){
		$time = $voted_IP[$ip];
		$now = time();
		if(round(($now - $time) / 60) > $timebeforerevote)
			return false;
		return true;
	}
	return false;
}
//=============================
// Output functions
//=============================
//// ##### likes

function pasargad_posts_like($post_id){
	$PS_likes = get_post_meta($post_id, "pasargad_post_like", true);
	$PS_likes = @number_format($PS_likes);
	if (empty($PS_likes)) {
	$PS_likes = 0;
	}
	$output = '<div class="pasargad-post-like">';
	if(pasargad_already_voted($post_id))
	$output .= '<span class="like-icon"></span>';
	else
	$output .= '<a href="#" title="این مطلب را پسندیدم." data-post_id="'.$post_id.'" rel="nofollow">
				<span class="like-icon"></span>
				</a>';
	$output .= '<span class="count">'.$PS_likes.' نفر</span></div>';
	return $output;
}
//// #### dislikes 

function pasargad_posts_dislike($post_id){
	$PS_dislikes = get_post_meta($post_id, "pasargad_post_dislike", true);
	$PS_dislikes = @number_format($PS_dislikes);
	if (empty($PS_dislikes)) {
	$PS_dislikes = 0;
	}
	$output = '<div class="pasargad-post-dislike">';
	if(pasargad_already_voted($post_id))
	$output .= '<span class="dislike-icon"></span>';
	else
	$output .= '<a href="#" title="این مطلب را نپسندیدم" data-post_id="'.$post_id.'" rel="nofollow">
				<span class="dislike-icon"></span>
				</a>';
	$output .= '<span class="dislike-count">'.$PS_dislikes.' نفر</span></div>';
	return $output;
}
?>