(function ($) {
    $.fn.toggleSwitch = function (options) {
        var settings = $.extend({
			checkboxClass : 'big',
            onClick: function () {},
            onChangeOn: function () {},
            onChangeOff: function () {}
        }, options);
        $(this).each(function (i) {
            var obj = $(this), status = obj.is(':checked') ? '' : ' off';
            if (!obj.parent('div.switch-' + settings.checkboxClass ).length) {
                obj.wrap('<div class="switch-' + settings.checkboxClass + '"></div>');
                obj.parent('div.switch-' + settings.checkboxClass).prepend('<span class="switched' + status + '" />');
            }
            obj.parent('div.switch-' + settings.checkboxClass).click(function (e) {
                e.preventDefault();
                if (!obj.prop('disabled')) {
                    var value, check;
                    settings.onClick.call(obj);
                    if ($(this).is('label')) {
                        value = $('#' + $(this).prop('for')).prev('span.switched');
                        check = $('#' + $(this).prop('for'));
                    } else {
                        value = $(this).children('span.switched');
                        check = $(this).children('input[type=checkbox]');
                    }
                    if (value.is('.off')) {
                        value.stop().animate({left: 0}, settings.moveInterval).removeClass('off');
                        check.prop('checked', 'checked');
                        settings.onChangeOn.call(obj);
                    } else {
                        value.stop().animate({left: "-" + settings.offLeft}, settings.moveInterval).addClass('off');
                        check.prop('checked', '');
                        settings.onChangeOff.call(obj);
                    }
                }
            });
        });
    };
}(jQuery));