<?php
//*************************************************
// @ updates notifier Compatibled by parsthemes.com
// @ Email: mr.4fshin@ymail.com
// @ URL  : http://www.parsthemes.com/
//*************************************************
// Adds an update notification to the WordPress Dashboard menu
function update_notifier_menu() {  
	if ( function_exists('simplexml_load_string') && function_exists('wp_get_theme') ) { // Stop if simplexml_load_string funtion isn't available
	    $xml = get_latest_theme_version(MTHEME_NOTIFIER_CACHE_INTERVAL); // Get the latest remote XML file on our server
            $theme_data = wp_get_theme(); // Read theme current version from the style.css

            if( version_compare($xml->latest, $theme_data['Version'], '>') ) { // Compare current theme version with the remote XML version
				//add_theme_page( MTHEME_NOTIFIER_THEME_NAME . ' Theme Updates', MTHEME_NOTIFIER_THEME_NAME . ' <span class="update-plugins count-1"><span class="update-count">1 Update</span></span>', 'administrator', 'theme-update-notifier', 'update_notifier');
				add_submenu_page('panel', ' آپدیت پوسته ی ' . MTHEME_NOTIFIER_THEME_NAME, MTHEME_NOTIFIER_THEME_NAME . ' <span class="update-plugins count-1"><span class="update-count">1 Update</span></span>','administrator', 'theme-update-notifier' , 'update_notifier');
			}
	}	
}
add_action('admin_menu', 'update_notifier_menu');
// Adds an update notification to the WordPress 3.1+ Admin Bar
function update_notifier_bar_menu() {
	if (function_exists('simplexml_load_string') && function_exists('wp_get_theme') ) { // Stop if simplexml_load_string funtion isn't available
		global $wp_admin_bar, $wpdb;
	
		if ( !is_super_admin() || !is_admin_bar_showing() ) // Don't display notification in admin bar if it's disabled or the current user isn't an administrator
		return;
		
		$xml = get_latest_theme_version(MTHEME_NOTIFIER_CACHE_INTERVAL); // Get the latest remote XML file on our server
		$theme_data = wp_get_theme(); // Read theme current version from the style.css
	
		if( version_compare($xml->latest, $theme_data['Version'], '>') ) { // Compare current theme version with the remote XML version
			$wp_admin_bar->add_menu( array( 'id' => 'update_notifier', 'title' => '<span>' . MTHEME_NOTIFIER_THEME_NAME . ' <span id="ab-updates">1 آپدیت</span></span>', 'href' => get_admin_url() . 'admin.php?page=theme-update-notifier' ) );
		}
	}
}
add_action( 'admin_bar_menu', 'update_notifier_bar_menu', 1000 );

// The notifier page
function update_notifier() { 
	if( function_exists('wp_get_theme') ){
		$xml = get_latest_theme_version(MTHEME_NOTIFIER_CACHE_INTERVAL); // Get the latest remote XML file on our server
		$theme_data = wp_get_theme(); // Read theme current version from the style.css 
	}?>
<style>
.update-nag { display: none; }
#instructions {max-width: 670px;}
h3.title {margin: 30px 0 0 0; padding: 30px 0 0 0; border-top: 1px solid #ddd;}
.pasargad-framework-updates{width:80%;margin:20px auto;padding:10px;border:3px solid #dbdbdb;border-radius:5px;background:#FFFFFF;overflow:hidden}
.pasargad-updates-message{background:#F5FAFD;font:13px BYekan,tahoma;color:#05243F;padding:10px;margin:15px;display:block;border:2px solid #CAE0F3}
.pasargad-framework-instructions{display:block;line-height:2em;margin:15px 0px}
.pasargad-framework-instructions h2{font:20px BYekan,tahoma;color:#E74C3C;font-weight:600}
</style>
<div class="pasargad-framework-updates">
<div class="pasargad-updates-message">
آپدیت جدید از پوسته ی پارس مدیا در دسترس است.ورژن فعلی : <?php echo $theme_data['Version']; ?> و ورژن جدید :<?php echo $xml->latest; ?>
</div>
<img style="margin:20px auto;display:block;border:1px solid #ddd;" src="<?php echo get_stylesheet_directory_uri() . '/screenshot.png'; ?>" />
<div class="pasargad-framework-instructions">
<h2>چگونه آپدیت رایگان دریافت کنم؟</h2>
برای دریافت آپدیت شما نباید لینک پارس تمز را فوتر حذف کنید.در صورتی که لینک را حذف کرده اید دیگر آپدیت دریافت نخواهید کرد.
<p>
در صورتی که لینک پارس تمز را از فوتر حذف نکردید به آدرس ( mr.4fshin@ymail.com ) یک ایمیل با عنوان درخواست آپدیت ارسال کنید.در این ایمیل حتما آدرس سایت خود را ذکر کنید تا سایت شما چک شود.
</p>
<p>
حتما از نسخه ی فعلی پوسته ی خود یک بک آپ داشته باشید.
</p>
<p>
<h2>تغییرات ورژن جدید : </h2>
<?php echo nl2br($xml->changelog); ?>
</p>
</div>
</div>
    
<?php } 

// Get the remote XML file contents and return its data (Version and Changelog)
// Uses the cached version if available and inside the time interval defined
function get_latest_theme_version($interval) {
	$notifier_file_url = MTHEME_NOTIFIER_XML_FILE;	
	$db_cache_field = 'notifier-cache-'.theme_name;
	$db_cache_field_last_updated = 'notifier-cache-last-updated-'.theme_name;
	$last = get_option( $db_cache_field_last_updated );
	$now = time();
	// check the cache
	if ( !$last || (( $now - $last ) > $interval) ) {
		// cache doesn't exist, or is old, so refresh it
		
		$cache = wp_remote_retrieve_body( wp_remote_get( $notifier_file_url , array( 'sslverify' => false ) ) );
				
		if ($cache) {			
			// we got good results	
			update_option( $db_cache_field, $cache );
			update_option( $db_cache_field_last_updated, time() );
		} 
		// read from the cache file
		$notifier_data = get_option( $db_cache_field );
	}
	else {
		// cache file is fresh enough, so read from it
		$notifier_data = get_option( $db_cache_field );
	}
	
	// Let's see if the $xml data was returned as we expected it to.
	// If it didn't, use the default 1.0.0 as the latest version so that we don't have problems when the remote server hosting the XML file is down
	if( strpos((string)$notifier_data, '<notifier>') === false ) {
		$notifier_data = '<?xml version="1.0.0" encoding="UTF-8"?><notifier><latest>1.0.0</latest><changelog></changelog></notifier>';
	}
	
	// Load the remote XML data into a variable and return it
	$xml = @simplexml_load_string($notifier_data); 
	
	return $xml;
}
