<?php
add_action( 'widgets_init', 'pasargad_rating_widget' );
function pasargad_rating_widget() {
	register_widget( 'pasargad_rating_widget' );
}
class pasargad_rating_widget extends WP_Widget {

	function pasargad_rating_widget() {
		$widget_ops = array( 'classname' => 'most-rated'  );
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'pasargad_rating-widget' );
		$this->WP_Widget( 'pasargad_rating-widget','21_مطالب پر امتیاز', $widget_ops, $control_ops );
	}
	
function widget( $args, $instance ) {
		extract( $args );
		
	$title = apply_filters('widget_title', $instance['mostrating_post_title'] );
	$thumb = $instance['thumb'];
	$date = $instance['date'];
	$cats_id = $instance['cats_id'];
	$posts_range = $instance['range'];
	if( empty($instance['posts_number']) || $instance['posts_number'] == ' ' || !is_numeric($instance['posts_number']))	$posts_number = 5;
	else $posts_number = $instance['posts_number'];

	echo $before_widget; 
	echo $before_title; 
	echo $title ; 
	echo $after_title; 
?>
<ul>
<?php
	if( $posts_range == 'total' )
	pasargad_mostrated_posts( $posts_number , $thumb , $date , $cats_id );
	elseif( $posts_range == 'week' )
	pasargad_mostrated_posts_week( $posts_number , $thumb , $date , $cats_id );
	elseif( $posts_range == 'month' )
	pasargad_mostrated_posts_month( $posts_number , $thumb , $date , $cats_id  );
	elseif( $posts_range == 'year' )
	pasargad_mostrated_posts_year( $posts_number , $thumb , $date , $cats_id );
?>	
</ul>
<div class="clear"></div>
<?php 
	echo $after_widget;
}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['mostrating_post_title'] = strip_tags( $new_instance['mostrating_post_title'] );
		$instance['posts_number'] = $new_instance['posts_number'];
		$instance['thumb'] = $new_instance['thumb'];
		$instance['date'] = $new_instance['date'];
		$instance['range'] = $new_instance['range'];
		$instance['cats_id'] = implode(',' , $new_instance['cats_id']  );
		return $instance;
	}

	function form( $instance ) {
		$defaults = array( 'mostrating_post_title' => 'پرامتیاز ترین ها' , 'thumb' => 'true' , 'date' => 'true' , 'posts_range' => 'total' , 'posts_number' => 5 );
		$instance = wp_parse_args( (array) $instance, $defaults ); 
		
		$categories_obj = get_categories('hide_empty=0');
		$categories = array();
		$categories [''] = 'همه ی موضوعات';
		foreach ($categories_obj as $pn_cat) {
			$categories[$pn_cat->cat_ID] = $pn_cat->cat_name;
		}
?>
<div class="pasargad-widget">
<p>
<label for="<?php echo $this->get_field_id( 'mostrating_post_title' ); ?>">عنوان : </label>
<input id="<?php echo $this->get_field_id( 'mostrating_post_title' ); ?>" name="<?php echo $this->get_field_name( 'mostrating_post_title' ); ?>" value="<?php echo $instance['mostrating_post_title']; ?>" type="text" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'range' ); ?>">رنج زمانی مطالب : </label>
<select id="<?php echo $this->get_field_id( 'range' ); ?>" name="<?php echo $this->get_field_name( 'range' ); ?>" >
<option value="total" <?php if( $instance['range'] == 'total' ) echo "selected=\"selected\""; else echo ""; ?>>کل زمان ها</option>
<option value="week" <?php if( $instance['range'] == 'week' ) echo "selected=\"selected\""; else echo ""; ?>>7 روز گذشته</option>
<option value="month" <?php if( $instance['range'] == 'month' ) echo "selected=\"selected\""; else echo ""; ?>>30 روز گذشته</option>
<option value="year" <?php if( $instance['range'] == 'year' ) echo "selected=\"selected\""; else echo ""; ?>>سال جاری</option>	
</select>
</p>
<p>
<?php $cats_id = explode ( ',' , $instance['cats_id'] ) ; ?>
<label for="<?php echo $this->get_field_id( 'cats_id' ); ?>">موضوع : </label>
<select id="<?php echo $this->get_field_id( 'cats_id' ); ?>[]" name="<?php echo $this->get_field_name( 'cats_id' ); ?>[]">
<?php foreach ($categories as $key => $option) { ?>
<option value="<?php echo $key ?>" <?php if ( in_array( $key , $cats_id ) ) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
<?php } ?>
</select>
</p>
<p>
<label for="<?php echo $this->get_field_id( 'posts_number' ); ?>">تعداد مطالب برای نمایش :</label>
<input id="<?php echo $this->get_field_id( 'posts_number' ); ?>" name="<?php echo $this->get_field_name( 'posts_number' ); ?>" value="<?php if( !empty($instance['posts_number']) ) echo $instance['posts_number']; ?>" size="3" type="text" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'thumb' ); ?>">نمایش تصویر بندانگشتی : </label>
<input id="<?php echo $this->get_field_id( 'thumb' ); ?>" name="<?php echo $this->get_field_name( 'thumb' ); ?>" value="true" <?php if( $instance['thumb'] ) echo 'checked="checked"'; ?> type="checkbox" />
</p>
<p>
<label for="<?php echo $this->get_field_id( 'date' ); ?>">نمایش تاریخ انتشار نوشته : </label>
<input id="<?php echo $this->get_field_id( 'date' ); ?>" name="<?php echo $this->get_field_name( 'date' ); ?>" value="true" <?php if( $instance['date'] ) echo 'checked="checked"'; ?> type="checkbox" />
</p>
</div>
<div class="clear"></div>
<?php
}
}
?>