<?php
add_action( 'widgets_init', 'pasargad_slider_widget' );
function pasargad_slider_widget() {
	register_widget( 'pasargad_slider_widget' );
}
class pasargad_slider_widget extends WP_Widget {

	function pasargad_slider_widget() {
		$widget_ops = array( 'classname' => 'slider-widget' );
		$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'pasargad_slider-widget' );
		$this->WP_Widget( 'pasargad_slider-widget','7_اسلایدر مطالب', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters('widget_title', $instance['title'] );
		$number = $instance['number'];
		$cats_id = $instance['cats_id'];
?>
<div id="<?php echo $args['widget_id']; ?>" class="sidebar-slider owl-carousel">
<?php
$slide_query = new WP_Query(array(
'post_status' =>'publish',
'post_type' =>'post',
'order' =>'DESC',
'cat' => $cats_id,
'posts_per_page' => $number,
'no_found_rows' => 1, 
));
?>

<?php if($slide_query->have_posts()) :
		while($slide_query->have_posts()) : $slide_query->the_post();?>	
<div>
<?php
if ( has_post_thumbnail() ){
$src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' );
$thumbnailsrc= $src[0];
$params = array( 'width' => 150 ,'height' => 400, 'crop' => false );
?>
<a href="<?php the_permalink(); ?>" title="<?php the_title();?>" rel="bookmark"><?php thumb_slider(); ?></a>
<?php } else { ?>
<img src="<?php echo esc_url( get_template_directory_uri() ); ?>/images/no-thumb.png" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" width="320" height="400" />
<?php }?>
<div class="title">
<a href="<?php echo get_permalink( $post->ID ) ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a>
</div>
</div>
<?php endwhile;endif;?>
</div>
<script>
	jQuery(document).ready(function() {
	var owl = jQuery("#<?php echo $args['widget_id']; ?>");
	owl.owlCarousel({
		autoPlay: true,
		autoPlay : 3200,
		slideSpeed: 500,
		pagination : false,
		navigation : true,
		singleItem : true,
		transitionStyle : "fade"
		});
	});
</script>

	<?php 
		
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['number'] = strip_tags( $new_instance['number'] );
		$instance['cats_id'] = implode(',' , $new_instance['cats_id']  );
		$instance['r_sidebar'] = $new_instance['r_sidebar'];
		$instance['in_footer'] = $new_instance['in_footer'];
		return $instance;
	}

	function form( $instance ) {
		$defaults = array( 'title' => 'اسلایدر' ,'number' => '5'  );
		$instance = wp_parse_args( (array) $instance, $defaults );
		
		$categories_wid = get_categories('hide_empty=0');
		$categories = array();

		foreach ($categories_wid as $wid_cat) {
			$categories[$wid_cat->cat_ID] = $wid_cat->cat_name;
		}
		?>
<div class="pasargad-widget">
<p>
<?php $cats_id = explode ( ',' , $instance['cats_id'] ) ; ?>
<label for="<?php echo $this->get_field_id( 'cats_id' ); ?>">موضوع : </label>
<select multiple="multiple" id="<?php echo $this->get_field_id( 'cats_id' ); ?>[]" name="<?php echo $this->get_field_name( 'cats_id' ); ?>[]">
<?php foreach ($categories as $key => $option) { ?>
<option value="<?php echo $key ?>" <?php if ( in_array( $key , $cats_id ) ) { echo ' selected="selected"' ; } ?>><?php echo $option; ?></option>
<?php } ?>
</select>
</p>
<p>
<label for="<?php echo $this->get_field_id( 'number' ); ?>">تعداد مطالب و نظرات برای نمایش : </label>
<input id="<?php echo $this->get_field_id( 'number' ); ?>" name="<?php echo $this->get_field_name( 'number' ); ?>" value="<?php echo $instance['number']; ?>" type="text" size="3" />
</p>
</div>
	<?php
	}
}
?>